List org authorized clients

GET https://api.ap1.datadoghq.com/api/v2/org_authorized_clientshttps://api.ap2.datadoghq.com/api/v2/org_authorized_clientshttps://api.datadoghq.eu/api/v2/org_authorized_clientshttps://api.ddog-gov.com/api/v2/org_authorized_clientshttps://api.us2.ddog-gov.com/api/v2/org_authorized_clientshttps://api.uk1.datadoghq.com/api/v2/org_authorized_clientshttps://api.datadoghq.com/api/v2/org_authorized_clientshttps://api.us3.datadoghq.com/api/v2/org_authorized_clientshttps://api.us5.datadoghq.com/api/v2/org_authorized_clients

Información general

Get a list of all OAuth2 clients authorized for the current organization. This endpoint requires any of the following permissions:

  • org_authorized_apps_read
  • manage_integrations

  • OAuth apps require the org_authorized_apps_read authorization scope to access this endpoint.

    Argumentos

    Cadenas de consulta

    Nombre

    Tipo

    Descripción

    page[size]

    integer

    Size for a given page. The maximum allowed value is 100.

    page[number]

    integer

    Specific page number to return.

    sort

    string

    Field to sort results by. Options include oauth2_client.name.

    filter

    string

    Filter results by client name, app title, or app description.

    filter[oauth2_client][name]

    string

    Filter results by the OAuth2 client name.

    filter[disabled]

    string

    Filter results by the org-level disabled status.

    include

    string

    Comma-separated list of related resources to include. Options: oauth2_client, oauth2_client.app, user_authorized_clients.user.

    Respuesta

    OK

    Response containing a list of org authorized clients.

    Expand All

    Campo

    Tipo

    Descripción

    data [required]

    [object]

    List of org authorized client data objects.

    attributes [required]

    object

    Attributes of an org authorized client.

    disabled [required]

    boolean

    Whether the organization has disabled this client.

    last_exercised [required]

    date-time

    The date and time this client was last exercised.

    user_count [required]

    int64

    The number of users in the organization who have authorized this client.

    id [required]

    string

    The unique identifier of the org authorized client.

    relationships [required]

    object

    Relationships for an org authorized client.

    oauth2_client [required]

    object

    Relationship to the OAuth2 client for this org authorized client.

    data [required]

    object

    Data identifying the OAuth2 client associated with this org authorized client.

    id [required]

    string

    The ID of the OAuth2 client.

    type [required]

    enum

    OAuth2 client resource type. Allowed enum values: oauth2_clients

    user_authorized_clients [required]

    object

    Relationship to the user authorized clients for this org authorized client.

    data [required]

    [object]

    List of user authorized client relationship data objects.

    id [required]

    string

    The ID of the user authorized client.

    type [required]

    enum

    User authorized client resource type. Allowed enum values: user_authorized_clients

    links [required]

    object

    Links for the user authorized clients relationship.

    related [required]

    string

    Link to the user authorized clients for this org authorized client.

    type [required]

    enum

    The resource type for org authorized clients. Allowed enum values: org_authorized_clients

    meta [required]

    object

    Object describing meta attributes of response.

    page

    object

    Pagination object.

    total_count

    int64

    Total count.

    total_filtered_count

    int64

    Total count of elements matched by the filter.

    {
      "data": [
        {
          "attributes": {
            "disabled": false,
            "last_exercised": "2024-01-15T10:30:00+00:00",
            "user_count": 2
          },
          "id": "00000000-0000-0000-0000-000000000001",
          "relationships": {
            "oauth2_client": {
              "data": {
                "id": "00000000-0000-0000-0000-000000000010",
                "type": "oauth2_clients"
              }
            },
            "user_authorized_clients": {
              "data": [
                {
                  "id": "00000000-0000-0000-0000-000000000020",
                  "type": "user_authorized_clients"
                }
              ],
              "links": {
                "related": "/api/v2/org_authorized_clients/00000000-0000-0000-0000-000000000001/user_authorized_clients"
              }
            }
          },
          "type": "org_authorized_clients"
        }
      ],
      "meta": {
        "page": {
          "total_count": "integer",
          "total_filtered_count": "integer"
        }
      }
    }

    Authentication error

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [object]

    A list of errors.

    detail

    string

    A human-readable explanation specific to this occurrence of the error.

    meta

    object

    Non-standard meta-information about the error

    source

    object

    References to the source of the error.

    header

    string

    A string indicating the name of a single request header which caused the error.

    parameter

    string

    A string indicating which URI query parameter caused the error.

    pointer

    string

    A JSON pointer to the value in the request document that caused the error.

    status

    string

    Status code of the response.

    title

    string

    Short human-readable summary of the error.

    {
      "errors": [
        {
          "detail": "Missing required attribute in body",
          "meta": {},
          "source": {
            "header": "Authorization",
            "parameter": "limit",
            "pointer": "/data/attributes/title"
          },
          "status": "400",
          "title": "Bad Request"
        }
      ]
    }

    Too many requests

    API error response.

    Expand All

    Campo

    Tipo

    Descripción

    errors [required]

    [string]

    A list of errors.

    {
      "errors": [
        "Bad Request"
      ]
    }

    Ejemplo de código

                      # Curl command
    curl -X GET "https://api.ap1.datadoghq.com"https://api.ap2.datadoghq.com"https://api.datadoghq.eu"https://api.ddog-gov.com"https://api.us2.ddog-gov.com"https://api.uk1.datadoghq.com"https://api.datadoghq.com"https://api.us3.datadoghq.com"https://api.us5.datadoghq.com/api/v2/org_authorized_clients" \ -H "Accept: application/json" \ -H "DD-API-KEY: ${DD_API_KEY}" \ -H "DD-APPLICATION-KEY: ${DD_APP_KEY}"
    """
    List org authorized clients returns "OK" response
    """
    
    from datadog_api_client import ApiClient, Configuration
    from datadog_api_client.v2.api.org_authorized_clients_api import OrgAuthorizedClientsApi
    
    configuration = Configuration()
    with ApiClient(configuration) as api_client:
        api_instance = OrgAuthorizedClientsApi(api_client)
        response = api_instance.list_org_authorized_clients()
    
        print(response)
    

    Instructions

    First install the library and its dependencies and then save the example to example.py and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" python3 "example.py"
    # List org authorized clients returns "OK" response
    
    require "datadog_api_client"
    api_instance = DatadogAPIClient::V2::OrgAuthorizedClientsAPI.new
    p api_instance.list_org_authorized_clients()
    

    Instructions

    First install the library and its dependencies and then save the example to example.rb and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" rb "example.rb"
    // List org authorized clients returns "OK" response
    
    package main
    
    import (
    	"context"
    	"encoding/json"
    	"fmt"
    	"os"
    
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadog"
    	"github.com/DataDog/datadog-api-client-go/v2/api/datadogV2"
    )
    
    func main() {
    	ctx := datadog.NewDefaultContext(context.Background())
    	configuration := datadog.NewConfiguration()
    	apiClient := datadog.NewAPIClient(configuration)
    	api := datadogV2.NewOrgAuthorizedClientsApi(apiClient)
    	resp, r, err := api.ListOrgAuthorizedClients(ctx, *datadogV2.NewListOrgAuthorizedClientsOptionalParameters())
    
    	if err != nil {
    		fmt.Fprintf(os.Stderr, "Error when calling `OrgAuthorizedClientsApi.ListOrgAuthorizedClients`: %v\n", err)
    		fmt.Fprintf(os.Stderr, "Full HTTP response: %v\n", r)
    	}
    
    	responseContent, _ := json.MarshalIndent(resp, "", "  ")
    	fmt.Fprintf(os.Stdout, "Response from `OrgAuthorizedClientsApi.ListOrgAuthorizedClients`:\n%s\n", responseContent)
    }
    

    Instructions

    First install the library and its dependencies and then save the example to main.go and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" go run "main.go"
    // List org authorized clients returns "OK" response
    
    import com.datadog.api.client.ApiClient;
    import com.datadog.api.client.ApiException;
    import com.datadog.api.client.v2.api.OrgAuthorizedClientsApi;
    import com.datadog.api.client.v2.model.OrgAuthorizedClientsResponse;
    
    public class Example {
      public static void main(String[] args) {
        ApiClient defaultClient = ApiClient.getDefaultApiClient();
        OrgAuthorizedClientsApi apiInstance = new OrgAuthorizedClientsApi(defaultClient);
    
        try {
          OrgAuthorizedClientsResponse result = apiInstance.listOrgAuthorizedClients();
          System.out.println(result);
        } catch (ApiException e) {
          System.err.println("Exception when calling OrgAuthorizedClientsApi#listOrgAuthorizedClients");
          System.err.println("Status code: " + e.getCode());
          System.err.println("Reason: " + e.getResponseBody());
          System.err.println("Response headers: " + e.getResponseHeaders());
          e.printStackTrace();
        }
      }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to Example.java and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" java "Example.java"
    // List org authorized clients returns "OK" response
    use datadog_api_client::datadog;
    use datadog_api_client::datadogV2::api_org_authorized_clients::ListOrgAuthorizedClientsOptionalParams;
    use datadog_api_client::datadogV2::api_org_authorized_clients::OrgAuthorizedClientsAPI;
    
    #[tokio::main]
    async fn main() {
        let configuration = datadog::Configuration::new();
        let api = OrgAuthorizedClientsAPI::with_config(configuration);
        let resp = api
            .list_org_authorized_clients(ListOrgAuthorizedClientsOptionalParams::default())
            .await;
        if let Ok(value) = resp {
            println!("{:#?}", value);
        } else {
            println!("{:#?}", resp.unwrap_err());
        }
    }
    

    Instructions

    First install the library and its dependencies and then save the example to src/main.rs and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" cargo run
    /**
     * List org authorized clients returns "OK" response
     */
    
    import { client, v2 } from "@datadog/datadog-api-client";
    
    const configuration = client.createConfiguration();
    const apiInstance = new v2.OrgAuthorizedClientsApi(configuration);
    
    apiInstance
      .listOrgAuthorizedClients()
      .then((data: v2.OrgAuthorizedClientsResponse) => {
        console.log(
          "API called successfully. Returned data: " + JSON.stringify(data)
        );
      })
      .catch((error: any) => console.error(error));
    

    Instructions

    First install the library and its dependencies and then save the example to example.ts and run following commands:

        
    DD_SITE="datadoghq.comus3.datadoghq.comus5.datadoghq.comdatadoghq.euap1.datadoghq.comap2.datadoghq.comuk1.datadoghq.comddog-gov.comus2.ddog-gov.com" DD_API_KEY="<DD_API_KEY>" DD_APP_KEY="<DD_APP_KEY>" tsc "example.ts"